[IBCErrorReturn]
-1=内存错误 错误代码：-1
-2=无效的标识属性 错误代码：-2
-3=非法标识计数 错误代码：-3
-4=无效的密码引擎属性 错误代码：-4
-5=无效的标识 错误代码：-5
-6=无效的标识列表 错误代码：-6
-7=无效的密码引擎属性 错误代码：-7
-8=无效的PKCS7对象 错误代码：-8
-9=无效的PKCS7对象属性 错误代码：-9
-10=PKCS7解码错误 错误代码：-10
-11=需选择PKCS7的解码人 错误代码：-11
-12=不支持PKCS7的版本 错误代码：-12
-13=无效的IBC系统参数对象计数 错误代码：-13
-14=未知错误 错误代码：-14
-16=无效的IBC系统参数 错误代码：-16
-17=缓冲过小 错误代码：-17
-18=PKCS7编码过程操作顺序错误 错误代码：-18
-19=加密会话密钥错误 错误代码：-19
-20=解密会话密钥错误 错误代码：-20
-22=无效的HASH算法 错误代码：-22
-23=不支持指定类型设备 错误代码：-23
-24=设备操作失败 错误代码：-24
-27=签名失败 错误代码：-27
-28=错误的密钥类型 错误代码：-28
-29=不支持指定的算法 错误代码：-29
-30=未指定密钥, 可能当前所指定的解密人无法解密 错误代码：-30
-31=验证签名失败 错误代码：-31
-32=无效的证书 错误代码：-32
-33=不支持指定的曲线类型 错误代码：-33
-34=IBC系统参数生成错误 错误代码：-34
-35=不支持指定的标识编码方式 错误代码：-35
-36=打开文件错误 错误代码：-36
-37=IBC参数破坏 错误代码：-37
-38=不完整的IBC私钥 错误代码：-38
-39=缺少IBC系统参数 错误代码：-39
-40=不支持指定的标识编码类型 错误代码：-40
-41=缺少标识信息 错误代码：-41
-42=创建设备容器错误 错误代码：-42
-43=创建设备密钥错误 错误代码：-43
-44=设备密钥参数操作错误 错误代码：-44
-45=不支持指定的对象参数 错误代码：-45
-46=不支持指定的操作 错误代码：-46
-47=未设置PKCS7必需的属性 错误代码：-47
-48=二进制编码错误 错误代码：-48
-49=二进制解码错误 错误代码：-49
-50=无效的消息认证码 错误代码：-50
-51=无效的IBC公钥 错误代码：-51
-52=PKCS7解码过程操作顺序错误 错误代码：-52
-53=PKCS7对象不支持指定的属性选项 错误代码：-53
-54=被破坏的文件 错误代码：-54
-55=算法内部错误 错误代码：-55
-56=无效的标识数据 错误代码：-56
-58=被破坏的私钥 错误代码：-58
-59=无效的时间数据 错误代码：-59
-60=设备PIN码错误 错误代码：-60
-61=无效的IBC参数属性 错误代码：-61
-62=无效的公钥属性 错误代码：-62
-63=无效的私钥属性 错误代码：-63
-64=编码错误 错误代码：-64
-65=无效的IBC系统参数 错误代码：-65
-66=WINDOWS CSP 操作失败 错误代码：-66
-67=私钥对象计数错误 错误代码：-67
-68=加载私钥或证书错误 错误代码：-68
-69=激活失败 错误代码：-69
-70=被禁止的IBC私钥 错误代码：-70
-71=加载证书失败 错误代码：-71
-72=值未设置 错误代码：-72
-73=网络错误 错误代码：-73
-74=不合法的消息 错误代码：-74
-75=未知的策略 错误代码：-75
-76=被破坏的策略 错误代码：-76
-77=无效的公钥文件 错误代码：-77
-78=错误的密钥分散长度 错误代码：-78
-79=错误的密钥分散数据格式 错误代码：-79
-80=Shamir秘密恢复操作失败 错误代码：-80
-81=对称密钥属性未设置 错误代码：-81
-82=值已经被设置 错误代码：-82
-83=证书不匹配 错误代码：-83
-84=无效的设备参数 错误代码：-84
-85=设备中无更多容器 错误代码：-85
-86=无设备 错误代码：-86
-87=数据格式错误 错误代码：-87
-88=不支持指定的策略 错误代码：-88
-89=不支持指定的认证属性 错误代码：-89
-90=缺少证书 错误代码：-90
-91=无效的版本 错误代码：-91
-92=无效的属性 错误代码：-92
-93=无效的口令，可能私钥密码错误 错误代码：-93
-94=消息被修改 错误代码：-94
-95=设备被锁定 错误代码：-95
-100=需要更多的处理数据 错误代码：-100
-101=需数据进行验证签名 错误代码：-101
-200=策略私钥请求内部错误 错误代码：-200
-201=策略未满足 错误代码：-201
-202=无效的策略 错误代码：-202
-300=验证失败 错误代码：-300
-500=容器已经存在 错误代码：-500
-501=设备已满 错误代码：-501
-502=未知设备错误 错误代码：-502

0x800A0001=流指针参数类型错误
0x800A0002=传入空指针给要求非空指针参数
0x800A0003=传入空值给要求非空值参数
0x800A0004=传入参数数据类型不正确
0x800A0101=指定的文件不存在
0x800A0102=不能创建或打开指定文件
0x800A0103=无法创建文件，可能您没有在该文件夹创建文件的权限
0x800A0104=流读操作错误
0x800A0105=流写操作错误
0x800A0106=流转换错误
0x800A0107=文件流句柄为空
0x800A0108=被破坏的文件
0x800A0109=无法创建目录
0x800A010A=使用临时文件时错误
0x800A0201=接口或重要类指针值为空
0x800A0202=接口或重要类创建失败
0x800A0203=内存不足够
0x800A0204=用户取消
0x800A0205=底层库调用崩溃
0x800A0206=缓冲过小
0x800A0207=无效的密码引擎
0x800A0208=私钥密码或PIN码错误
0x800A0209=不合法的消息或信息被修改或格式错误
0x800A020A=无效的时间数据，可能您的私钥已过期
0x800A020B=值未设置
0x800A020C=值已经被设置
0x800A020D=无效的属性
0x800A020E=WINDOWS CSP 操作失败
0x800A020F=二进制编码错误
0x800A0210=二进制解码错误
0x800A0211=编码错误
        

0x800A0301=数字信套太大
0x800A0302=没有主题、正文与附件的空邮件
0x800A0303=非加密或签名数据
0x800A0304=EMail地址格式错误
0x800A0305=没有发件人
0x800A0306=发件人有多个
0x800A0307=没有收件人

0x800A0401=密码设备不支持的操作
0x800A0402=密码设备被拔出
0x800A0403=找不到指定的设备
0x800A0404=未知设备类型
0x800A0405=私钥文件中不包含有效信息,如没有绑定任何标识
0x800A0406=设备操作失败
0x800A0407=容器已经存在
0x800A0408=设备已满
0x800A0409=设备被锁定
0x800A040A=无效的设备参数
0x800A040B=设备未打开，使用该操作之前，必须先打开设备。

0x800A0501=找不到要求的IBC系统参数
0x800A0502=未指定用户数字证书
0x800A0503=找不到用户指定的数字证书
0x800A0504=同标识的私钥已加载且更有效
0x800A0505=私钥文件类型不支持
0x800A0506=找不到指定的私钥
0x800A0507=未指定指定标识的私钥
0x800A0508=指定的私钥标识与要求的私钥标识不符
0x800A0509=激活时网络失败
0x800A050A=用户指定的数字证书包含私钥需要密码
0x800A050B=无效的IBC系统参数
0x800A050C=IBC系统参数生成错误
0x800A050D=无效的IBC系统参数属性
0x800A050E=加载证书失败
0x800A050F=无效的证书
0x800A0510=无效的公钥
0x800A0511=无效的公钥属性
0x800A0512=无效的私钥
0x800A0513=无效的私钥属性
0x800A0514=加载私钥错误
0x800A0515=激活失败
0x800A0516=私钥不在有效期内
0x800A0601=签名人列表为空
0x800A0602=接收人列表为空
0x800A0603=没有找到指定的标识
0x800A0604=从接收人列表中删除发件人自身
0x800A0605=不能删除接收人列表中指定的标识
0x800A0606=数据内容为空
0x800A0607=底层库不读也不写错误
0x800A0608=不支持的密码操作
0x800A0609=任务已经开始执行
0x800A060A=任务没有找到
0x800A060B=任务无法启动
0x800A060C=不是有效的数字信套
0x800A060D=数字信套签名验证失败，不能使用
0x800A060E=缺少或无效的标识信息
0x800A060F=无效的标识属性或计数
0x800A0610=无效的标识列表
0x800A0611=无效的PKCS7对象
0x800A0612=无效的PKCS7对象属性
0x800A0613=PKCS7编码错误
0x800A0614=PKCS7解码错误
0x800A0615=签名失败
0x800A0616=验证签名失败
0x800A0617=验证失败
0x800A0618=加密会话密钥错误
0x800A0619=解密会话密钥错误
0x800A061A=错误的密钥类型
0x800A061B=算法内部错误
0x800A061C=错误的密钥分散数据
0x800A061D=Shamir秘密恢复操作失败
0x800A061E=需要更多的处理数据
0x800A061F=挑战值的长度太长。

0x800A0701=无效的策略
0x800A0702=策略私钥请求内部错误
0x800A0703=策略未满足
0x800A0704=找不到ZDM的模板文件
0x800A0705=无效的任务参数类型
0x800A0706=必须带数字信套
0x800A0707=不是指定的签名人签名的数字信套

0x800A0801=未设置服务中心地址
0x800A0802=指定的域对应的参数策略不唯一
0x800A0803=无法创建SOAP对象
0x800A0804=密码错误次数太多，请五分钟后再试

0x800AFFFF=未知错误
0x800AFFFE=未知错误，可能文件太大

0x800A0900=服务器接口错误
0x800A0901=无法连接SOAP服务器
0x800A0A01=SOAP 封装XML错误
0x800A0A02=SOAP 内部处理错误
0x800A0A03=无法连接到指定的服务器，请确保服务器的地址配置正确且您已正确连接到网络
0x800A0A04=SOAP ZLIB错误
0x800A0A05=无法连接到指定的服务器，请确保服务器的地址配置正确且您已正确连接到网络

0x800A090A=安全应用的Id非法
0x800A090B=安全应用的密码错误
0x800A090C=enterpriseId或enterprisePassword错误
0x800A090D=transactionId错误
0x800A0921=已经注册服务，但未经过邮件确认，请再次接收邮件并确认
0x800A0922=私钥已经过期
0x800A0914=用户不存在，您可能需要进行注册
0x800A0915=用户已存在，您可以下载私钥
0x800A0916=您输入的私钥密码错误
0x800A0917=密钥有效期错误
0x800A0918=密钥用途非法
0x800A0919=密钥生成错误
0x800A091A=用户状态禁用
0x800A091B=设置用户状态失败
0x800A091C=获取系统参数失败
0x800A091D=密钥可生产次数非法
0x800A091E=没有权限操作此数据
0x800A0921=用户标识未验证
0x800A0922=用户标识私钥过期
0x800A0923=服务器端未设置随机数或SESSION已经过期,，请使用管理员KEY重新登陆
0x800A0924=服务器端取得签名属性失败
0x800A0925=服务器端检查签名数据失败
0x800A0926=服务器验证签名数据失败
0x800A0927=操作员不存在
0x800A0928=操作员状态不合法
0x800A0929=平台不允许客户端进行此项操作，请访问平台进行操作。
0x800A092A=该用户禁止下载私钥，请联系管理员进行制作UKEY。
0x800A092B=客户端注册域非法，当前平台不允许进行此域的操作。
0x800A092C=新旧邮箱所属的企业组织不同
0x800A092D=新旧邮箱产品ID冲突
0x800A092E=不允许F进行变更
0x800A092F=产品标识检查不通过
0x800A0930=非休眠产品不能恢复
0x800A0931=试用产品已经过期,不允许恢复,你可以通过注册的方式来购买该产品
0x800A0932=OBNAME或EPID校验失败
0x800A0933=请确定你选择的产品都已经开通
0x800A0934=变更邮箱参数不合法或新旧邮件相同
0x800A0935=新旧邮箱产品相同,不能完成此次变更，因为目标邮件已经购买了以下服务：
0x800A0936=私钥未注册，请到平台上进行注册或者请管理员帮您进行注册
0x800A093c=非法手机号码标识
0x800A093d=下载私钥时,未获取手机短信验证码
0x800A093e=手机短信验证码错误
0x800A093f=私钥可下载次数为零
0x800A0940=非法的私钥标识
0x800A0941=手机标识已验证成功,请收取短信验证码,并下载私钥
0x800A09c9=不允许进行变更，错误码为-1，如果您有疑问，请联系"人工服务"
0x800A09ca=不允许进行变更，错误码为-2，如果您有疑问，请联系"人工服务"
0x800A09cb=不允许进行变更，错误码为-3，如果您有疑问，请联系"人工服务"
0x800A09cc=不允许进行变更，错误码为-4，如果您有疑问，请联系"人工服务"
0x800A09cd=不允许进行变更，错误码为-5，如果您有疑问，请联系"人工服务"
0x800A09ce=不允许进行变更，错误码为-6, 如果您有疑问，请联系"人工服务"
0x800A09cf=不允许进行变更，错误码为-7, 如果您有疑问，请联系"人工服务"
0x800A09d0=不允许进行变更，错误码为-8, 如果您有疑问，请联系"人工服务"
0x800A09d1=不允许进行变更，错误码为-9, 如果您有疑问，请联系"人工服务"
0x800A09d2=不允许进行变更，错误码为-10, 如果您有疑问，请联系"人工服务"
0x800A09d3=不允许进行变更，错误码为-11, 如果您有疑问，请联系"人工服务"
0x800A09d4=不允许进行变更，错误码为-12, 如果您有疑问，请联系"人工服务"
0x800A09d5=不允许进行变更，错误码为-13, 如果您有疑问，请联系"人工服务"
0x800A09d6=不允许进行变更，错误码为-14, 如果您有疑问，请联系"人工服务"
0x800A09d7=不允许进行变更，错误码为-15, 如果您有疑问，请联系"人工服务"
0x800A09FF=平台不允许客户端进行此项操作，请访问平台进行操作。
0x800A0963=其他错误

[IBCErrorReturnEn]

0x800A0001=Stream pointer type error	
0x800A0002=Invalid null pointer
0x800A0003=Invalid null value
0x800A0004=Incorrect paramter type
0x800A0101=File not found
0x800A0102=File cannot be created or opened
0x800A0103=Operation denied
0x800A0104=Stream read error
0x800A0105=Stream write error
0x800A0106=Stream conversion error
0x800A0107=Invalid file handle
0x800A0108=Corrupted file
0x800A0109=Cannot create the folder
0x800A010A=Temperary file operation error
0x800A0201=Invalid interface or class 
0x800A0202=Cannot create interface or class
0x800A0203=Not enough memory
0x800A0204=User canceled
0x800A0205=SDK fatal error
0x800A0206=Buffer too small
0x800A0207=Invalid cipher engine
0x800A0208=Incorrect password or PIN
0x800A0209=Invalid or malformed message
0x800A020A=Invalid time, your private key may have expired
0x800A020B=Value not set
0x800A020C=Value has been set
0x800A020D=Invalid property
0x800A020E=WINDOWS CSP failure
0x800A020F=Binary encoding error
0x800A0210=Binary decoding error
0x800A0211=Binary coding error
        

0x800A0301=Digital envelop is too big
0x800A0302=An empty email
0x800A0303=Data is not protected
0x800A0304=Incorrect email address
0x800A0305=Recipients missing
0x800A0306=Too many senders
0x800A0307=Recipients missing

0x800A0401=Device cannot complete the operation
0x800A0402=Device removed
0x800A0403=Device not found
0x800A0404=Unknown device type
0x800A0405=Malformed private key
0x800A0406=Device operation failed
0x800A0407=Container already existed
0x800A0408=Device is full
0x800A0409=Device is locked
0x800A040A=Invalid device parameter
0x800A040B=Device is not opened

0x800A0501=Cannot find required IBC parameter
0x800A0502=Certficate is not set
0x800A0503=Cannot find the certficate
0x800A0504=A private key is already loaded
0x800A0505=Private key file type is not supported
0x800A0506=Cannot find the private key
0x800A0507=A private key ID should be specified
0x800A0508=The specified key ID does not matched the required one
0x800A0509=Network error when activiating the key
0x800A050A=The certifcate requires password
0x800A050B=Invalid IBC parameter
0x800A050C=IBC parameter generation error
0x800A050D=Invalid IBC parameter property
0x800A050E=Failed to load certificate
0x800A050F=Invalid certificate
0x800A0510=Invalid public key
0x800A0511=Invalid public key property
0x800A0512=Invalid private key
0x800A0513=Invalid private key property
0x800A0514=Failed to load private key
0x800A0515=Failed to activiate the private key

0x800A0601=Empty signer list
0x800A0602=Empty recipient list
0x800A0603=Cannot find the specified ID
0x800A0604=Remove sender from the recipient list
0x800A0605=Should not remove sender from the recipient list
0x800A0606=Empty data
0x800A0607=SDK does not operate
0x800A0608=The cipher operation is not supported
0x800A0609=Task is already in action
0x800A060A=Cannot find the task
0x800A060B=Cannot execute the task
0x800A060C=Invalid digital envelope
0x800A060D=Invalid digital envelope
0x800A060E=Malformed identity object
0x800A060F=Invalid identity object
0x800A0610=Invalid identity list
0x800A0611=Invalid PKCS7 object
0x800A0612=Invalid PKCS7 object property
0x800A0613=PKCS7 encoding error
0x800A0614=PKCS7 decoding error
0x800A0615=Signing operation failed
0x800A0616=Signature verifying operation failed
0x800A0617=Invalid signature
0x800A0618=Encrypting session key error
0x800A0619=Decrypting session key error
0x800A061A=Invalid private key type
0x800A061B=Algorithm error
0x800A061C=Invalid key Shamir sharing data
0x800A061D=Shamir key recovery failed
0x800A061E=More data is required
0x800A061F=Challenge data too long

0x800A0701=Invalid policy
0x800A0702=Policy key request error
0x800A0703=Policy not satisfied
0x800A0704=ZDM template not found
0x800A0705=Invalid task parameter
0x800A0706=A digital envelope is required
0x800A0707=The dgitial envelope's signer does not match the required one

0x800A0801=IBC center's address is not set
0x800A0802=Multiple policies for a domain's parameter
0x800A0803=Cannot create SOAP object
0x800A0804=Password error, please retry five minutes later

0x800AFFFF=Unknown error
0x800AFFFE=Unknown error. File may be too large

0x800A0900=IBC center error
0x800A0901=Cannot connect with SOAP server
0x800A0A01=SOAP proccessing XML error
0x800A0A02=SOAP internal error
0x800A0A03=Cannot connect with the IBC center, please check the center's address
0x800A0A04=SOAP ZLIB error
0x800A0A05=Cannot connect with the IBC center, please check the center's address

0x800A090A=Invalid security application ID
0x800A090B=Security application password error
0x800A090C=Enterprise ID or enterprise password error
0x800A090D=Transaction ID error
0x800A0921=Security service is registered but not activated. Please check your mail box for registration email
0x800A0922=The private key expired
0x800A0914=You need to register service first
0x800A0915=Your service is activiated. Please download the private key
0x800A0916=Incorrect private key password
0x800A0917=Incorrect private key validity time
0x800A0918=Incorrect private key usage
0x800A0919=Private key generation error
0x800A091A=User's private key is disabled
0x800A091B=Failed to change user's private key status 
0x800A091C=Failed to acquire the system parameter
0x800A091D=Private key generation is disabled
0x800A091E=Data processing is denied
0x800A0921=User's account is not verified
0x800A0922=The private key expired
0x800A0923=Server does not have random challenge or session expired
0x800A0924=Server cannot get the response' property
0x800A0925=Response check failed
0x800A0926=Response verfication failed
0x800A0927=Operator does not exist
0x800A0928=Operation status invalid
0x800A0929=The operation is denied by the center。
0x800A09FF=Cannot find the private key. You may download it from the center
0x800A0963=Unknown error
